<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>ProfilesCatalog &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../_static/doctools.js?v=888ff710"></script>
        <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Scenario" href="scenario.html" />
    <link rel="prev" title="Configs in Depth" href="../30_configs_in_depth.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            openPASS
              <img src="../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../30_configs_in_depth.html">Configs in Depth</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">ProfilesCatalog</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#agentprofiles">AgentProfiles</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#example">Example</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#systemprofiles">SystemProfiles</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#components">Components</a></li>
<li class="toctree-l4"><a class="reference internal" href="#sensors">Sensors</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#profilegroups">ProfileGroups</a></li>
<li class="toctree-l3"><a class="reference internal" href="#driver-profilegroup">Driver ProfileGroup</a></li>
<li class="toctree-l3"><a class="reference internal" href="#vehiclecomponent-profilegroups">VehicleComponent ProfileGroups</a></li>
<li class="toctree-l3"><a class="reference internal" href="#spawnerprofile-profilegroup">SpawnerProfile ProfileGroup</a></li>
<li class="toctree-l3"><a class="reference internal" href="#trafficrules-profilegroup">TrafficRules ProfileGroup</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scenario.html">Scenario</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenario_api_support.html">Scenario API Support</a></li>
<li class="toctree-l2"><a class="reference internal" href="scenery.html">Scenery</a></li>
<li class="toctree-l2"><a class="reference internal" href="simulationconfig.html">SimulationConfig</a></li>
<li class="toctree-l2"><a class="reference internal" href="staticsystemconfig.html">Static SystemConfig</a></li>
<li class="toctree-l2"><a class="reference internal" href="systemconfigblueprint.html">SystemConfigBlueprint</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../50_scenario_simulation.html">Simulator</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/20_glossary.html">Glossary</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/30_gui_plugins.html">GUI Plugins</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../30_configs_in_depth.html">Configs in Depth</a></li>
      <li class="breadcrumb-item active">ProfilesCatalog</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/user_guide/configs/profilescatalog.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="profilescatalog">
<span id="id1"></span><h1>ProfilesCatalog<a class="headerlink" href="#profilescatalog" title="Link to this heading"></a></h1>
<p>The ProfilesCatalog contains all AgentProfiles, SystemProfiles and generic ProfileGroups and Profiles.
Depending on the configuration the simulator could require a “Driver”-ProfileGroup, a “Spawner”- and “TrafficGroup”-ProfileGroup, a “TrafficRules”-ProfileGroup or sensor and vehiclecomponent specific ProfileGroups.</p>
<ul class="simple">
<li><p><a class="reference internal" href="#profilescatalog-agentprofiles"><span class="std std-ref">AgentProfiles</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-systemprofiles"><span class="std std-ref">SystemProfiles</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-profilegroups"><span class="std std-ref">ProfileGroups</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-driverprofiles"><span class="std std-ref">Driver ProfileGroup</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-vehiclecomponentprofiles"><span class="std std-ref">VehicleComponent ProfileGroups</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-spawnerprofiles"><span class="std std-ref">SpawnerProfile ProfileGroup</span></a></p></li>
<li><p><a class="reference internal" href="#profilescatalog-trafficrulesprofiles"><span class="std std-ref">TrafficRules ProfileGroup</span></a></p></li>
</ul>
<section id="agentprofiles">
<span id="profilescatalog-agentprofiles"></span><h2>AgentProfiles<a class="headerlink" href="#agentprofiles" title="Link to this heading"></a></h2>
<p>In this section all AgentProfiles are defined.
An AgentProfile is either static or dynamic.
A static AgentProfile consists of a SystemConfig and a VehicleModel.
A dynamic AgentProfile specifies the composition of the agent according to certain probabilities.
Here the initial driver, system profile and the vehicle models of an agent get specified.
At least one AgentProfile is required.
But every AgentProfile referenced in the used <a class="reference internal" href="scenario.html#scenario"><span class="std std-ref">Scenario</span></a> file or <a class="reference internal" href="../sim_user_guide/components/spawner.html#components-trafficgroups"><span class="std std-ref">TrafficGroups</span></a> must exist.
All probabilities must add up to 1.0.</p>
<p>Composition of a static AgentProfile:</p>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Tag</p></th>
<th class="head"><p>Description</p></th>
<th class="head"><p>Required</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>System</p></td>
<td><p>Reference to a system defined in a SystemConfig</p></td>
<td><p>Yes</p></td>
</tr>
<tr class="row-odd"><td><p>VehicleModel</p></td>
<td><p>Name of the VehicleModel in the <a class="reference internal" href="scenario.html#scenario-vehiclemodels"><span class="std std-ref">VehicleCatalog</span></a></p></td>
<td><p>Yes</p></td>
</tr>
</tbody>
</table>
<p>Composition of a dynamic AgentProfile:</p>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Tag</p></th>
<th class="head"><p>Description</p></th>
<th class="head"><p>Required</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>DriverProfiles</p></td>
<td><p>List of <a class="reference internal" href="#profilescatalog-driverprofiles"><span class="std std-ref">Driver ProfileGroup</span></a> for random selection</p></td>
<td><p>At least one entry</p></td>
</tr>
<tr class="row-odd"><td><p>SystemProfiles</p></td>
<td><p>List of <a class="reference internal" href="#profilescatalog-systemprofiles"><span class="std std-ref">SystemProfiles</span></a> for random selection</p></td>
<td><p>At least one entry</p></td>
</tr>
<tr class="row-even"><td><p>VehicleModels</p></td>
<td><p>List of vehicle models for random selection</p></td>
<td><p>At least one entry</p></td>
</tr>
</tbody>
</table>
<section id="example">
<h3>Example<a class="headerlink" href="#example" title="Link to this heading"></a></h3>
<p>In this experiment the ego agent is defined by the system with Id 0 in systemConfig.xml and the VehicleModel car_bmw_7.
Every LuxuryClassCarAgent has the driver profile “AgentFollowingDriver”.
Regarding the system profile 50% have a NoADAS and the other 50% have WithAEB.
Regarding the vehicle model 50% use a car_mini_cooper and the other 50% use car_bmw_7_1 vehicle model.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;AgentProfiles&gt;</span>
<span class="w">    </span><span class="nt">&lt;AgentProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;EgoAgent&quot;</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Static&quot;</span><span class="nt">&gt;</span>
<span class="w">        </span><span class="nt">&lt;System&gt;</span>
<span class="w">            </span><span class="nt">&lt;File&gt;</span>systemConfig.xml<span class="nt">&lt;/File&gt;</span>
<span class="w">            </span><span class="nt">&lt;Id&gt;</span>0<span class="nt">&lt;/Id&gt;</span>
<span class="w">        </span><span class="nt">&lt;/System&gt;</span>
<span class="w">        </span><span class="nt">&lt;VehicleModel&gt;</span>car_bmw_7<span class="nt">&lt;/VehicleModel&gt;</span>
<span class="w">    </span><span class="nt">&lt;/AgentProfile&gt;</span>
<span class="w">    </span><span class="nt">&lt;AgentProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;LuxuryClassCarAgent&quot;</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Dynamic&quot;</span><span class="nt">&gt;</span>
<span class="w">        </span><span class="nt">&lt;DriverProfiles&gt;</span>
<span class="w">            </span><span class="nt">&lt;DriverProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;AgentFollowingDriver&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;1.0&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;/DriverProfiles&gt;</span>
<span class="w">        </span><span class="nt">&lt;SystemProfiles&gt;</span>
<span class="w">            </span><span class="nt">&lt;SystemProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;NoADAS&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;0.5&quot;</span><span class="nt">/&gt;</span>
<span class="w">            </span><span class="nt">&lt;SystemProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;WithAEB&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;0.5&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;/SystemProfiles&gt;</span>
<span class="w">        </span><span class="nt">&lt;VehicleModels&gt;</span>
<span class="w">          </span><span class="nt">&lt;VehicleModel</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;car_mini_cooper&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;0.5&quot;</span><span class="nt">/&gt;</span>
<span class="w">          </span><span class="nt">&lt;VehicleModel</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;car_bmw_7_1&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;0.5&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;/VehicleModels&gt;</span>
<span class="w">    </span><span class="nt">&lt;/AgentProfile&gt;</span>
<span class="nt">&lt;/AgentProfiles&gt;</span>
</pre></div>
</div>
</section>
</section>
<section id="systemprofiles">
<span id="profilescatalog-systemprofiles"></span><h2>SystemProfiles<a class="headerlink" href="#systemprofiles" title="Link to this heading"></a></h2>
<p>This sections contains all system profiles.
Every SystemProfile used by <a class="reference internal" href="#profilescatalog-agentprofiles"><span class="std std-ref">AgentProfiles</span></a> must be listed here.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;SystemProfiles&gt;</span>
<span class="w">   </span><span class="nt">&lt;SystemProfile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;WithAEB&quot;</span><span class="nt">&gt;</span>
<span class="w">       </span><span class="nt">&lt;Components&gt;</span>
<span class="w">              </span><span class="nt">&lt;Component</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;AEB&quot;</span><span class="nt">&gt;</span>
<span class="w">               </span><span class="nt">&lt;Profiles&gt;</span>
<span class="w">                   </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;AebProfile&quot;</span><span class="w"> </span><span class="na">Probability=</span><span class="s">&quot;0.5&quot;</span><span class="nt">/&gt;</span>
<span class="w">               </span><span class="nt">&lt;/Profiles&gt;</span>
<span class="w">               </span><span class="nt">&lt;SensorLinks&gt;</span>
<span class="w">                   </span><span class="nt">&lt;SensorLink</span><span class="w"> </span><span class="na">SensorId=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">InputId=</span><span class="s">&quot;Camera&quot;</span><span class="nt">/&gt;</span>
<span class="w">               </span><span class="nt">&lt;/SensorLinks&gt;</span>
<span class="w">              </span><span class="nt">&lt;/Component&gt;</span>
<span class="w">       </span><span class="nt">&lt;/Components&gt;</span>
<span class="w">       </span><span class="nt">&lt;Sensors&gt;</span>
<span class="w">           </span><span class="nt">&lt;Sensor</span><span class="w"> </span><span class="na">Id=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">Position=</span><span class="s">&quot;Default&quot;</span><span class="nt">&gt;</span>
<span class="w">               </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Geometric2D&quot;</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Standard&quot;</span><span class="nt">/&gt;</span>
<span class="w">           </span><span class="nt">&lt;/Sensor&gt;</span>
<span class="w">       </span><span class="nt">&lt;/Sensors&gt;</span>
<span class="w">   </span><span class="nt">&lt;/SystemProfile&gt;</span>
<span class="w">   </span>...
<span class="nt">&lt;/SystemProfiles&gt;</span>
</pre></div>
</div>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Attribute</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Name</p></td>
<td><p>Name of the vehicle profile</p></td>
</tr>
<tr class="row-odd"><td><p>Components</p></td>
<td><p>Lists all ADAS and other components in the vehicle</p></td>
</tr>
<tr class="row-even"><td><p>Sensors</p></td>
<td><p>Lists all sensors in the vehicle</p></td>
</tr>
</tbody>
</table>
<section id="components">
<span id="profilescatalog-components"></span><h3>Components<a class="headerlink" href="#components" title="Link to this heading"></a></h3>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Attribute</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Type</p></td>
<td><p>Type of the component.</p>
<p>Must match component name in SystemConfigBlueprint</p>
</td>
</tr>
<tr class="row-odd"><td><p>Profile</p></td>
<td><p>Possible profiles of the component with probabilities.</p>
<p>The profiles are defined in the <a class="reference internal" href="#profilescatalog-vehiclecomponentprofiles"><span class="std std-ref">VehicleComponent ProfileGroups</span></a> section</p>
<p>Probabilities do not need to add up to 1.</p>
</td>
</tr>
<tr class="row-even"><td><p>SensorLinks</p></td>
<td><p>Defines which sensor this component uses as input</p></td>
</tr>
</tbody>
</table>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The possibility of “not having that component” can be achieved if the probabilities of the profiles do not add up to 1.</p>
</div>
</section>
<section id="sensors">
<span id="profilescatalog-sensors"></span><h3>Sensors<a class="headerlink" href="#sensors" title="Link to this heading"></a></h3>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Attribute</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Id</p></td>
<td><p>Identifier for the sensor used by the SensorLink definition of the components</p></td>
</tr>
<tr class="row-odd"><td><p>Position</p></td>
<td><p>Position of the sensor in the vehicle in relative coordinates</p></td>
</tr>
<tr class="row-even"><td><p>Profile</p></td>
<td><p>All possible profiles of the sensor with probabilities.</p>
<p>The profiles are defined in the <a class="reference internal" href="#profilescatalog-vehiclecomponentprofiles"><span class="std std-ref">VehicleComponent ProfileGroups</span></a> section</p>
</td>
</tr>
</tbody>
</table>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;Sensors&gt;</span>
<span class="w">  </span><span class="nt">&lt;Sensor</span><span class="w"> </span><span class="na">Id=</span><span class="s">&quot;0&quot;</span><span class="w"> </span><span class="na">Position=</span><span class="s">&quot;Default&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;ReceiverCar2X&quot;</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Standard&quot;</span><span class="nt">/&gt;</span>
<span class="w">  </span><span class="nt">&lt;/Sensor&gt;</span>
<span class="w">  </span><span class="nt">&lt;Sensor</span><span class="w"> </span><span class="na">Id=</span><span class="s">&quot;1&quot;</span><span class="w"> </span><span class="na">Position=</span><span class="s">&quot;FrontWindow&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Geometric2D&quot;</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Standard&quot;</span><span class="nt">/&gt;</span>
<span class="w">  </span><span class="nt">&lt;/Sensor&gt;</span>
<span class="nt">&lt;/Sensors&gt;</span>
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The Position attribute in the XML specifies placement of a sensor within a vehicle. The position is defined in VehicleModelsCatalog.
It follows the format “SensorPosition/Position/Parameters”. The parameters height, lateral, longitudinal, pitch, roll and yaw are required.
For example, “FrontWindow” describes a sensor mounted on the front window, with corresponding positional parameters.
See example catalog in <a class="reference internal" href="scenario.html#scenario-vehiclemodels"><span class="std std-ref">VehicleCatalog</span></a>.</p>
</div>
</section>
</section>
<section id="profilegroups">
<span id="profilescatalog-profilegroups"></span><h2>ProfileGroups<a class="headerlink" href="#profilegroups" title="Link to this heading"></a></h2>
<p>A ProfileGroup defines all the possible profiles of a component.
A single profile is a set of parameters that are passed to the component in the same way as the parameters in the SystemConfig.
Note: For components that have their parameters defined in the ProfilesCatalog the parameters in the SystemConfigBlueprint are ignored.
Parameters can either be simple or stochastic.
Simple parameters only have one value, while stochastic parameters have a minimum and maximum value as well as distribution specific parameters.
Which parameters are needed/supported depends on the component.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;ProfileGroup</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;ComponentName&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;ExampleProfile&quot;</span><span class="nt">&gt;</span>
<span class="w">        </span><span class="nt">&lt;String</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;StringParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;Lorem ipsum&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;DoubleVector</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;DoubleParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;12.3,4.56,78.9&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;NormalDistribution</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;RandomParameter&quot;</span><span class="w"> </span><span class="na">Mean=</span><span class="s">&quot;4.5&quot;</span><span class="w"> </span><span class="na">SD=</span><span class="s">&quot;0.5&quot;</span><span class="w"> </span><span class="na">Min=</span><span class="s">&quot;3.5&quot;</span><span class="w"> </span><span class="na">Max=</span><span class="s">&quot;10.0&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;AnotherProfile&quot;</span><span class="nt">&gt;</span>
<span class="w">        </span>...
<span class="w">    </span><span class="nt">&lt;/Profile&gt;</span>
<span class="nt">&lt;/ProfileGroup&gt;</span>
</pre></div>
</div>
<p>There are the following types of simple parameters:</p>
<ul class="simple">
<li><p>Bool</p></li>
<li><p>Int</p></li>
<li><p>Double</p></li>
<li><p>String</p></li>
<li><p>IntVector</p></li>
<li><p>DoubleVector</p></li>
<li><p>StringVector</p></li>
</ul>
<p>If a parameter is stochastic it can be defined as any to be drawn from any of the following distributions:</p>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Distribution</p></th>
<th class="head"><p>Additional Attributes</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>NormalDistribution</p></td>
<td><p>(Mean and SD) or (Mu and Sigma) - equivalent</p></td>
</tr>
<tr class="row-odd"><td><p>LogNormalDistribution</p></td>
<td><p>(Mean and SD) or (Mu and Sigma) - not equivalent</p></td>
</tr>
<tr class="row-even"><td><p>UniformDistribution</p></td>
<td><p>None</p></td>
</tr>
<tr class="row-odd"><td><p>ExponentialDistribution</p></td>
<td><p>Lambda or Mean (Mean = 1 / Lambda)</p></td>
</tr>
<tr class="row-even"><td><p>GammaDistribution</p></td>
<td><p>(Mean and SD) or (Shape and Scale)</p></td>
</tr>
</tbody>
</table>
<p>Additionally there is the list type.
The list contains any number of list items which itself contain a list of parameters.
Lists can be nested at most two times.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;List</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;ExampleList&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;ListItem&gt;</span>
<span class="w">        </span><span class="nt">&lt;String</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;FirstParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;Lorem&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;SecondParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;0.4&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/ListItem&gt;</span>
<span class="w">    </span><span class="nt">&lt;ListItem&gt;</span>
<span class="w">        </span><span class="nt">&lt;String</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;FirstParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;ipsum&quot;</span><span class="nt">/&gt;</span>
<span class="w">        </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;SecondParameter&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;0.6&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/ListItem&gt;</span>
<span class="nt">&lt;/List&gt;</span>
</pre></div>
</div>
<p>A Profile can also reference another Profile in another ProfileGroup.
In these case the importer handles the reference as if it was substituted by all subelements of the referenced Profile.
References may not be nested.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;Reference</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;GroupType&quot;</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;ProfileName&quot;</span><span class="nt">/&gt;</span>
</pre></div>
</div>
</section>
<section id="driver-profilegroup">
<span id="profilescatalog-driverprofiles"></span><h2>Driver ProfileGroup<a class="headerlink" href="#driver-profilegroup" title="Link to this heading"></a></h2>
<p>This section contains all driver profiles used by the simulation.
At least one driver profile is required.
The special parameter “Type” defines the name of the component (i.e. library name).
For details on the individual parameters see the <a class="reference internal" href="../sim_user_guide/components/driver.html#components-driver"><span class="std std-ref">components reference</span></a>.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;ProfileGroup</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Driver&quot;</span><span class="nt">&gt;</span>
<span class="w">  </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Name&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;String</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;Type&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;DriverLibrary&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span>...
<span class="w">  </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">  </span>...
<span class="nt">&lt;/ProfileGroup&gt;</span>
</pre></div>
</div>
</section>
<section id="vehiclecomponent-profilegroups">
<span id="profilescatalog-vehiclecomponentprofiles"></span><h2>VehicleComponent ProfileGroups<a class="headerlink" href="#vehiclecomponent-profilegroups" title="Link to this heading"></a></h2>
<p>This sections contains all driver assistance systems and other vehicle components and their parameter sets.
For every used VehicleComponent type there must be a ProfileGroup with this type and every profile of this type used by <a class="reference internal" href="#profilescatalog-systemprofiles"><span class="std std-ref">SystemProfiles</span></a> must be listed here.
For details on the individual parameters see the <a class="reference internal" href="../sim_user_guide/components/vehicle.html#components-vehiclecomponents"><span class="std std-ref">components reference</span></a>.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;ProfileGroup</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;LibraryName&quot;</span><span class="nt">&gt;</span>
<span class="w">  </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Name&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span>...
<span class="w">  </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">  </span>...
<span class="nt">&lt;/ProfileGroup&gt;</span>
</pre></div>
</div>
</section>
<section id="spawnerprofile-profilegroup">
<span id="profilescatalog-spawnerprofiles"></span><h2>SpawnerProfile ProfileGroup<a class="headerlink" href="#spawnerprofile-profilegroup" title="Link to this heading"></a></h2>
<p>This sections contains all parameters of the spawners referenced in the <a class="reference internal" href="simulationconfig.html#simulationconfig"><span class="std std-ref">SimulationConfig</span></a>.
For details on the individual parameters see the <a class="reference internal" href="../sim_user_guide/components/spawner.html#components-spawner"><span class="std std-ref">components reference</span></a>.</p>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="nt">&lt;ProfileGroup</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;Spawner&quot;</span><span class="nt">&gt;</span>
<span class="w">  </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;Name&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span>...
<span class="w">  </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">  </span>...
<span class="nt">&lt;/ProfileGroup&gt;</span>
</pre></div>
</div>
</section>
<section id="trafficrules-profilegroup">
<span id="profilescatalog-trafficrulesprofiles"></span><h2>TrafficRules ProfileGroup<a class="headerlink" href="#trafficrules-profilegroup" title="Link to this heading"></a></h2>
<p>This sections contains the global traffic rules, that may vary depending on the country.
The following country are supported:</p>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Name</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>DE</p></td>
<td><p>Germany</p></td>
</tr>
<tr class="row-odd"><td><p>US</p></td>
<td><p>United States</p></td>
</tr>
<tr class="row-even"><td><p>CN</p></td>
<td><p>China</p></td>
</tr>
</tbody>
</table>
<p>The <a class="reference internal" href="simulationconfig.html#simulationconfig-environment"><span class="std std-ref">Environment</span></a> section in the SimulationConfig defines which set is used.
Currently there are only rules regulating highway traffic. These are the following:</p>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Name</p></th>
<th class="head"><p>Type</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>OpenSpeedLimit</p></td>
<td><p>Double</p></td>
<td><p>maximum allowed speed if not restricted by signs</p></td>
</tr>
<tr class="row-odd"><td><p>KeepToOuterLanes</p></td>
<td><p>Bool</p></td>
<td><p>if true, vehicles must use the outermost free lane for driving</p></td>
</tr>
<tr class="row-even"><td><p>DontOvertakeOnOuterLanes</p></td>
<td><p>Bool</p></td>
<td><p>if true, it is prohibited to overtake another vehicle, that is driving further left (or right for lefthand traffic)</p></td>
</tr>
<tr class="row-odd"><td><p>FormRescueLane</p></td>
<td><p>Bool</p></td>
<td><p>if true, vehicles driving in a traffic jam must form a corridor for emergency vehicles</p></td>
</tr>
<tr class="row-even"><td><p>ZipperMerge</p></td>
<td><p>Bool</p></td>
<td><p>if true all merging shall be performed using zipper merge</p></td>
</tr>
</tbody>
</table>
<div class="highlight-xml notranslate"><div class="highlight"><pre><span></span><span class="w">  </span><span class="nt">&lt;ProfileGroup</span><span class="w"> </span><span class="na">Type=</span><span class="s">&quot;TrafficRules&quot;</span><span class="nt">&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;DE&quot;</span><span class="nt">&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimit&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;INF&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitTrucks&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;22.2222222&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitBuses&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;27.7777777&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;KeepToOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;DontOvertakeOnOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;FormRescueLane&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;ZipperMerge&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;US&quot;</span><span class="nt">&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimit&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;31.2928&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitTrucks&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;26.8224&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitBuses&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;26.8224&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;KeepToOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;false&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;DontOvertakeOnOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;false&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;FormRescueLane&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;ZipperMerge&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;false&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">    </span><span class="nt">&lt;Profile</span><span class="w"> </span><span class="na">Name=</span><span class="s">&quot;CN&quot;</span><span class="nt">&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimit&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;33.3333&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitTrucks&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;25.0&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Double</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;OpenSpeedLimitBuses&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;27.7777777&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;KeepToOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;false&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;DontOvertakeOnOuterLanes&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;FormRescueLane&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;false&quot;</span><span class="nt">/&gt;</span>
<span class="w">      </span><span class="nt">&lt;Bool</span><span class="w"> </span><span class="na">Key=</span><span class="s">&quot;ZipperMerge&quot;</span><span class="w"> </span><span class="na">Value=</span><span class="s">&quot;true&quot;</span><span class="nt">/&gt;</span>
<span class="w">    </span><span class="nt">&lt;/Profile&gt;</span>
<span class="w">  </span><span class="nt">&lt;/ProfileGroup&gt;</span>
</pre></div>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../30_configs_in_depth.html" class="btn btn-neutral float-left" title="Configs in Depth" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scenario.html" class="btn btn-neutral float-right" title="Scenario" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>